<template>
  <div class="settings-container">
    <div class="title">Индивидуальная наценка клиентов</div>
    <div class="description">Настройте наценку для каждого клиента, если необходимо</div>
    <ControlGroup
      v-model="tab"
      :items="groupItems"
      theme="light"
    />
    <component :is="currentComponent" />
  </div>
</template>

<script>
import ControlGroup from 'common-components/src/obComponents/obControlGroup'
import ForAll from './ForAll'
import ByDirections from './ByDirections'

export default {
  name: 'ClicarSettingsCostReductionForClient',
  components: {
    ControlGroup
  },
  data () {
    return {
      tab: 'ALL'
    }
  },
  computed: {
    groupItems () {
      return [
        {
          label: 'Общаяя по всем направлениям',
          value: 'ALL',
          component: ForAll
        },
        {
          label: 'Настроить направления',
          value: 'BY_DIRECTIONS',
          component: ByDirections,
          disabled: true
        }
      ]
    },
    currentComponent () {
      return this.groupItems.find(item => item.value === this.tab)?.component || null
    }
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.title {
  margin-top: 30px;
  margin-bottom: 5px;
  @include font-mixin(16px, 20px, 700, $color-text-base, .4px);
}
.description {
  margin-bottom: 25px;
  @include font-mixin(14px, 18px, 400, $color-grey-label);
}
</style>